sfcode An Online Competing and Development Environment

postcss-normalize-url

> Normalize URLs with PostCSS.

# Install

With npm do:

npm install postcss-normalize-url --save

# Example

## Input

h1 {
background: url("http://site.com:80/image.jpg")
}

## Output

h1 {
background: url(http://site.com/image.jpg)
}

Note that this module will also try to normalize relative URLs, and is capable of stripping unnecessary quotes. For more examples, see the tests.

# Usage

See the PostCSS documentation for examples for your environment.

# API

## normalize([options])

Please see the normalize-url documentation. By default, `normalizeProtocol`, `stripFragment` & `stripWWW` are set to `false`.

# Contributors

See CONTRIBUTORS.md.

# License

MIT © Ben Briggs